osl::Sennichite Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
osl::Sennichite Class Reference

`#include <sennichite.h>`

## Classes
struct | Result

## Public Member Functions
bool | isNormal () const
bool | isDraw () const
bool | hasWinner () const
Player | winner () const

## Static Public Member Functions
static Sennichite | NORMAL ()
static Sennichite | DRAW ()
static Sennichite | BLACK_LOSE ()
static Sennichite | WHITE_LOSE ()

## Private Member Functions
| Sennichite (Result::Values v)

## Private Attributes
Result::Values | value

## Friends
bool | operator== (const Sennichite &, const Sennichite &)

## Detailed Description

Definition at line 11 of file sennichite.h.

## Constructor & Destructor Documentation

osl::Sennichite::Sennichite | ( | Result::Values | v) |  |
| inlineprivate

Definition at line 19 of file sennichite.h.

## Member Function Documentation

static Sennichite osl::Sennichite::BLACK_LOSE | ( | ) |  |
| inlinestatic

Definition at line 23 of file sennichite.h.

References osl::Sennichite::Result::BLACK_LOSE.

Referenced by osl::RepetitionCounter::isAlmostSennichiteUnsafe(), osl::game_playing::GnuShogiClient::processComputerMove(), and osl::game_playing::GnuShogiClient::readAndProcessCommand().

static Sennichite osl::Sennichite::DRAW | ( | ) |  |
| inlinestatic

Definition at line 22 of file sennichite.h.

References osl::Sennichite::Result::DRAW.

Referenced by osl::RepetitionCounter::isAlmostSennichiteUnsafe().

bool osl::Sennichite::hasWinner | ( | ) |  | const
| inline

Definition at line 28 of file sennichite.h.

References osl::Sennichite::Result::BLACK_LOSE, value, and osl::Sennichite::Result::WHITE_LOSE.

Referenced by osl::search::AlphaBeta2Tree< EvalT >::alphaBetaSearch(), osl::game_playing::CsaLogger::endByRepetition(), osl::search::QuiescenceSearch2< EvalT >::examineMoves(), osl::game_playing::GameState::generateMoves(), and osl::search::AlphaBeta3::makeMoveAndSearch().

bool osl::Sennichite::isDraw | ( | ) |  | const
| inline

Definition at line 27 of file sennichite.h.

References osl::Sennichite::Result::DRAW, and value.

Referenced by osl::search::AlphaBeta2Tree< EvalT >::alphaBetaSearch(), osl::search::QuiescenceSearch2< EvalT >::examineMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), and osl::operator<<().

bool osl::Sennichite::isNormal | ( | ) |  | const
| inline

Definition at line 26 of file sennichite.h.

References osl::Sennichite::Result::NORMAL, and value.

Referenced by osl::search::AlphaBeta2Tree< EvalT >::alphaBetaSearch(), osl::game_playing::CsaLogger::endByRepetition(), osl::search::QuiescenceSearch2< EvalT >::examineMoves(), osl::game_playing::GameState::generateMoves(), osl::operator<<(), osl::game_playing::CsaClient::processComputerMove(), osl::game_playing::GnuShogiClient::readAndProcessCommand(), and osl::game_playing::CsaClient::readAndProcessCommand().

static Sennichite osl::Sennichite::NORMAL | ( | ) |  |
| inlinestatic

Definition at line 21 of file sennichite.h.

References osl::Sennichite::Result::NORMAL.

Referenced by osl::RepetitionCounter::distanceToSennichite(), osl::RepetitionCounter::isAlmostSennichite(), and osl::RepetitionCounter::isSennichite().

static Sennichite osl::Sennichite::WHITE_LOSE | ( | ) |  |
| inlinestatic

Definition at line 24 of file sennichite.h.

References osl::Sennichite::Result::WHITE_LOSE.

Referenced by osl::RepetitionCounter::isAlmostSennichiteUnsafe(), osl::game_playing::GnuShogiClient::processComputerMove(), and osl::game_playing::GnuShogiClient::readAndProcessCommand().

osl::Player osl::Sennichite::winner | ( | ) |  | const

Definition at line 7 of file sennichite.cc.

References osl::BLACK, osl::Sennichite::Result::BLACK_LOSE, value, osl::WHITE, and osl::Sennichite::Result::WHITE_LOSE.

Referenced by osl::search::AlphaBeta2Tree< EvalT >::alphaBetaSearch(), osl::game_playing::CsaLogger::endByRepetition(), osl::search::QuiescenceSearch2< EvalT >::examineMoves(), osl::game_playing::GameState::generateMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), and osl::operator<<().

## Friends And Related Function Documentation

bool operator== | ( | const Sennichite & | l,
|  | const Sennichite & | r
| ) |  |
| friend

Definition at line 35 of file sennichite.h.

## Member Data Documentation

Result::Values osl::Sennichite::value
| private

Definition at line 18 of file sennichite.h.

Referenced by hasWinner(), isDraw(), isNormal(), osl::operator==(), and winner().

The documentation for this class was generated from the following files:

- sennichite.h
- sennichite.cc